OpenlitespeedでPHPのバージョンをコマンドで確認する方法

openlitespeed

LitespeedでSSH(ターミナル)上でPHPのバージョンを確認する方法です

移動

まずはlsphpが入っているとこまで移動します

cd /usr/local/lsws/fcgi-bin

#pwdで確認
[root@ik1-337-28649 fcgi-bin]# pwd
/usr/local/lsws/fcgi-bin
[root@ik1-337-28649 fcgi-bin]#

ここでコマンドを実行します

php -v は使えない

openlitespeedのphpは、lsphpというのになるため、通常のyumやソースからインストールしたコマンドを使ってもエラーとなります。

[root@ik1-337-28649 fcgi-bin]# ./lsphp7 -v
PHP 7.3.8 (litespeed) (built: Sep 23 2019 03:17:57)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.3.8, Copyright (c) 1998-2018 Zend Technologies

コマンドでもPHPのバージョンが確認できました。openlitespeedだと現時点ではPHP7.3.8が最新となります